# Uses of Interface
java.sql.Savepoint

Packages that use Savepoint
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of Savepoint in java.sql

Methods in java.sql that return Savepoint
Modifier and Type
Method
Description
`Savepoint`
Connection.`setSavepoint()`
Creates an unnamed savepoint in the current transaction and returns the new `Savepoint` object that represents it.
`Savepoint`
Connection.`setSavepoint(String name)`
Creates a savepoint with the given name in the current transaction and returns the new `Savepoint` object that represents it.
Methods in java.sql with parameters of type Savepoint
Modifier and Type
Method
Description
`void`
Connection.`releaseSavepoint(Savepoint savepoint)`
Removes the specified `Savepoint` and subsequent `Savepoint` objects from the current transaction.
`void`
Connection.`rollback(Savepoint savepoint)`
Undoes all changes made after the given `Savepoint` object was set.

## Uses of Savepoint in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type Savepoint
Modifier and Type
Method
Description
`void`
CachedRowSet.`rollback(Savepoint s)`
Each `CachedRowSet` object's `SyncProvider` contains a `Connection` object from the original `ResultSet` or JDBC properties passed to it.
`void`
JdbcRowSet.`rollback(Savepoint s)`
Each `JdbcRowSet` contains a `Connection` object from the original `ResultSet` or JDBC properties passed to it.

## Uses of Savepoint in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi with parameters of type Savepoint
Modifier and Type
Method
Description
`void`
TransactionalWriter.`rollback(Savepoint s)`
Undoes all changes made in the current transaction made prior to the given `Savepoint` object.